﻿using System;
using MongoDB.Bson;
using MongoDB.Bson.Serialization.Attributes;
using MongoRepository;

namespace AT.SampleApp.Cqrs.Aggregate
{
    public class Task : IEntity
    {
        [BsonId]
        [BsonRepresentation(BsonType.ObjectId)]
        public string Id { get; set; }
        public string Title { get; set; }
        public bool IsCompleted;
        public DateTime LastUpdated;
    }
}